<?php 

defined('C5_EXECUTE') or die(_("Access Denied."));

class ColorPickerAttributePackage extends Package {

	protected $pkgHandle = 'color_picker_attribute';
	protected $appVersionRequired = '5.4.0';
	protected $pkgVersion = '1.0';
	
	public function getPackageDescription() {
		return t('Adds the Color Picker Attribute Type.');
	}
	
	public function getPackageName() {
		return t('Color Picker Attribute');
	}
	
	public function install() {
		$pkg = parent::install();
		
		$colorAttrType = AttributeType::getByHandle('color');
		if(!is_object($colorAttrType) || !intval($colorAttrType->getAttributeTypeID()) ) { 
			$colorAttrType = AttributeType::add('color', t('Color'), $pkg);	  
		}
		
		AttributeKeyCategory::getByHandle('collection')->associateAttributeKeyType(AttributeType::getByHandle('color'));
	}
}

?>